# $Revision: 1.5 $, $Date: 2005/08/10 13:36:02 $
Summary:	libgksuui library
Summary(pl):	Biblioteka libgksuui
Name:		libgksuui
Version:	1.0.6
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://people.debian.org/~kov/gksu/libgksuui1.0/%{name}1.0-%{version}.tar.gz
# Source0-md5:	c629d4950996f2e986ff46c658eb35ef
URL:		http://www.nongnu.org/gksu/
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgksuui library.

%description -l pl
Biblioteka libgksuui.

%package devel
Summary:	Header files for libgksuui library
Summary(pl):	Pliki nagwkowe biblioteki libgksuui
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2.0.0

%description devel
Header files for libgksuui library.

%description devel -l pl
Pliki nagwkowe biblioteki libgksuui.

%package static
Summary:	Static libgksuui library
Summary(pl):	Statyczna biblioteka libgksuui
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgksuui library.

%description static -l pl
Statyczna biblioteka libgksuui.

%prep
%setup -q -n %{name}1.0-%{version}

%build
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}1.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}*
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/%{name}*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgksuui.spec,v $
Revision 1.5  2005/08/10 13:36:02  paladine
- updated to 1.0.6

Revision 1.4  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.3  2004/10/25 22:27:26  dzeus
- up to 1.0.3 (thx Mateusz Murawski)

Revision 1.2  2004/08/29 15:14:42  qboosh
- BR: pkgconfig

Revision 1.1  2004/08/28 22:21:45  grzegol
- new
